#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  Talloc-2.4.4

- Next

  Umockdev-0.19.7

- Up
- Home

# Uchardet-0.0.8

## Introduction to Uchardet

The Uchardet package contains an encoding detector library which takes a sequence of bytes in an unknown character encoding and attempts to determine the encoding of the text.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/uchardet/releases/uchardet-0.0.8.tar.xz

- Download MD5 sum: 9e267be7aee81417e5875086dd9d44fd

- Download size: 217 KB

- Estimated disk space required: 4.6 MB (with test)

- Estimated build time: less than 0.1 SBU (with test)

### Uchardet Dependencies

#### Required

CMake-4.3.2

## Installation of Uchardet

Install Uchardet by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D BUILD_STATIC=OFF                 \
          -D CMAKE_POLICY_VERSION_MINIMUM=3.5 \
          -W no-dev ..                        &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-D BUILD_STATIC=OFF`: This switch disables building the static version of the library.

`-D CMAKE_POLICY_VERSION_MINIMUM=3.5`: This switch allows building this package with cmake-4.0 or newer.

## Contents

Installed Programs: uchardet
Installed Libraries: libuchardet.so
Installed Directories: /usr/include/uchardet

### Short Descriptions

uchardet | detects what character set is used inside of a file
`libuchardet.so` | provides an API for detecting the encoding of text in a file

- Prev

  Talloc-2.4.4

- Next

  Umockdev-0.19.7

- Up
- Home